<?php

include_once POSTS_IMAGES__PLUGIN_DIR . "./class.processor.php";

$pi_title = __('Posts images options', 'posts-images');
if (!empty($_POST['Submit'])) {
    check_admin_referer('posts-images_options');

    $pi_options = array();
    $pi_options['path']  = !empty($_POST['path_text']) ?
        addslashes(trim(wp_filter_kses($_POST['path_text']))) : '';
    $pi_options['width'] = !empty($_POST['width_text']) ?
        intval(addslashes(trim(wp_filter_kses($_POST['width_text'])))) :
        POSTS_IMAGES__DEFAULT_WIDTH;

    $update_pi_queries = array();
    $update_pi_text = array();
    $update_pi_queries[] = update_option('posts_images_options', $pi_options);
    $update_pi_text[] = $pi_title;
    $i = 0;
    $text = '';
    foreach ($update_pi_queries as $update_pi_query) {
        if ($update_pi_query) {
            $ti = $update_pi_text[$i];
            $upd = __('updated', 'posts-images');
            $text .= "<p style=\"color:green;\">$ti $upd</p>";
        }
        $i++;
    }
    if (empty($text)) {
        $msg = __('No option updated', 'posts-images');
        $text = "<p style=\"color:red;\">$msg</p>";
    }
}

$pi_options = get_option('posts_images_options');
$path = $pi_options['path'];
$width = $pi_options['width'];

if (!empty($text)) {
    echo '<!-- Last Action --><div id="message" ' .
        'class="updated fade"><p>' . $text . '</p></div>';
}
?>
<form method="post" action="<?php echo admin_url('admin.php?page='.plugin_basename(__FILE__)); ?>">
  <?php wp_nonce_field('posts-images_options'); ?>
  <div class="wrap">
    <h2><?php echo $pi_title; ?></h2>
    <table class="form-table">
      <tr>
        <th scope="row" valign="top"><?php _e('Path', 'posts-images'); ?></th>
        <td>
          <input type="text" name="path_text"
                 value="<?php echo stripslashes($path); ?>"
                 size="30" />
        </td>
      </tr>
      <tr>
        <th scope="row" valign="top"><?php _e('Width', 'posts-images'); ?></th>
        <td>
          <input type="text" name="width_text"
                 value="<?php echo stripslashes($width); ?>"
                 size="30" />
        </td>
      </tr>
    </table>
    <p class="submit">
      <input type="submit" name="Submit" class="button"
             value="<?php _e('Save changes', 'posts-images'); ?>" />
    </p>
  </div>
</form>
