<?php

include_once POSTS_IMAGES__PLUGIN_DIR . '/class.processor.php';

if (!empty($_POST['Submit'])) {
    $text = '';
    $msg = '';
    $c = 0;
    if (array_key_exists('userfile', $_FILES)) {
        $i = 0;
        while (array_key_exists($i, $_FILES['userfile']['name'])) {
            $f = $i++;
            $name = $_FILES['userfile']['name'][$f];
            if (!str_ends_with($name, '.jpg')) {
                continue;
            }
            $size = number_format($_FILES['userfile']['size'][$f]);
            error_log('[' . $name . '][' . $size . ']');
            $source = $_FILES['userfile']['tmp_name'][$f];
            $processor = new Processor($name, $source);
            if ($processor->process()) {
                $c++;
                $msg = $msg . '"' . $name . '" (' . $size . ' bytes), ';
            }
        }
        $msg = substr($msg, 0, -2);
        if ($c == 1) {
            $msg = __('Uploaded JPEG file: ') . $msg;
        } else if ($c > 1) {
            $msg = __('Uploaded JPEG files: ') . $msg;
        }
        if ($c > 0) {
            $text = '<p style="color:green;">' . $msg . '</p>';
        }
    }
    if (empty($text)) {
        $msg = __('No JPEG files uploaded', 'posts-images');
        $text = '<p style="color:red;">' . $msg . '</p>';
    }
}

if (!empty($text)) {
    echo '<!-- Last Action --><div id="message" ' .
        'class="updated fade"><p>' . $text . '</p></div>';
}
?>
<style>
<?php include_once POSTS_IMAGES__PLUGIN_DIR . '/style.css'; ?>
</style>
<div class="posts-images">
  <h2><?php echo _e('Posts images', 'posts-images'); ?></h2>
  <div class="posts-images-form">
    <form action="<?php echo $_SERVER['REQUEST_URI']; ?>"
          method="post" enctype="multipart/form-data">
      <strong><?php echo __('Select file'); ?>:</strong>
      <input name="userfile[]" type="file" multiple />
      <input type="submit" name="Submit" class="button"
             value="<?php _e('Upload', 'posts-images'); ?>" />
    </form>
  </div>
</div>
