1. Generate POT file:
   ```sh
   xgettext -L PHP -d posts-images -j *.php  --from-code=UTF-8 -k_e -k__ -o languages/posts-images.pot
   ```

2. Copy POT file to `.po` file:

    ```sh
    cp languages/posts-images.pot languages/ll_LL.po
    ```

3. Generate `.mo` file:

    ```sh
    msgfmt languages/ll_LL.po -o languages/ll_LL.mo
    ```

4. Update `.po` file:

    ```sh
    msgmerge -U languages/ll_LL.po languages/posts-images.pot
    ```
